
function vari_tb
% Funcao Vari_tb para tratamento de duvidas em Tabelas de Frequencia
% parte do Sistema SESHET-S
%
% Por Ronei Marcos de Moraes
% em 11 de agosto de 2001
%
% Variaveis de Entrada:	nenhuma
%
%
% Variaveis Internas: 	Tipo de Variavel      	(qualitativa, qualitativa nominal, 
%																qualitativa ordinal, quantitativa, 
%																quant. discreta, quant. continua), 
%                       Desejo de agrupar       (sim, nao), 
%                       Numero de Variaveis     (uma, mais que uma) 
%
%
% Variaveis de Saida: 	max_TabNao_aplica			(maior valor de pertinencia para o caso no  
%																qual um Teste de Hipoteses nao se aplica 
%								max_Tabela_porValor			(maior valor de pertinencia para o Teste de 
%																Hipoteses para uma media com Variancia 
%																Desconhecida)
%								max_Tabela_porIntervalo	MediaVarCon		(maior valor de pertinencia para o Teste de 
%																Hipoteses para uma media com Variancia 
%																Conhecida)
%
%
% Topico eh Tabela de Frequencias
% Tipo de Variavel e Certeza sobre o Tipo

incremento = 0; 
Menu_Variaveis=menu('A varivel do seu estudo :', 'No sei', 'Deve ser Qualitativa, mas no sei o tipo', ...
   'Deve ser Quantitativa, mas no sei o tipo', ' Qualitativa Nominal', ' Qualitativa Ordinal', ' Quantitativa Discreta', ' Quantitativa Contnua');
        if Menu_Variaveis ~= 1
            incremento = certeza;
        else   
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
        
% Verifica tipo de Variavel

        if Menu_Variaveis == 2 	%Qual., s/ tipo
            variavel = 1.5;
        end
        if Menu_Variaveis == 3 	%Quant., s/ tipo
           variavel = 3.5;
        end
        if Menu_Variaveis == 4 	%Qual. Nom.
            variavel = 1;
        end
        if Menu_Variaveis == 5	%Qual. Ord.
            variavel = 2;
         end
        if Menu_Variaveis == 6	% Quant. Discr.
            variavel = 3;
        end
        if Menu_Variaveis == 7 	% Quant. Cont.
            variavel = 4;
         end         
         
% Verifica a certeza sobre o Variavel

        variavel = variavel + incremento;
    

% Desejo de Agrupamento e Certeza sobre esse desejo

        incremento = 0; 
        Menu_QuerAgrupar=menu('Quer agrupar os dados?', 'No sei', 'Sim', 'No');
        if Menu_QuerAgrupar ~= 1 
            incremento = certeza;
        else            
            querAgrupar = 1.5;
            Menu_CertezaQuerAgrupar = 5;
        end
                
% Verifica o Desejo de Agrupamento        
        
        if Menu_QuerAgrupar == 2 
            querAgrupar = 1;
        end
        if Menu_QuerAgrupar == 3 
            querAgrupar = 2;
        end
           
% Verifica a certeza sobre o Desejo de Agrupamento

            querAgrupar = querAgrupar + incremento;

        
% Numero de Variaveis

        incremento = 0; 
        Menu_NumVariaveis=menu('Qual  o Nmero de Variveis?', 'No sei', 'Uma', 'Mais que uma');
        if Menu_NumVariaveis ~= 1 
            incremento = certeza;
        else            
            numVariaveis = 1.5;
            Menu_CertezaNumVariaveis = 5;
        end

% Verifica o Numero de Variaveis e Certeza sobre o Numero
        
        if Menu_NumVariaveis == 2 
            numVariaveis = 1;
        end
        if Menu_NumVariaveis == 3 
            numVariaveis = 2;
        end
           
% Verifica a certeza sobre o Numero de Variaveis

            numVariaveis = numVariaveis + incremento;
       
        
%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_tb = readfis('vari_tb');
        [a, b, c, d] = evalfis([variavel querAgrupar numVariaveis],fis_tb,909);
        for i=1:227
            TabNao_aplica(i)=d(i);           
        end
        for i=229:568
            Tabela_porValor(i-228)=d(i);           
        end
        for i=569:909
            Tabela_porIntervalo(i-568)=d(i);
        end
       
        
% Resultado final da consulta

        max_TabNao_aplica= max(TabNao_aplica);
        max_Tabela_porValor=max(Tabela_porValor);
        max_Tabela_porIntervalo=max(Tabela_porIntervalo);

        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!')
        sprintf('No se usa Tabelas de Freqncias para este caso, nesta disciplina ')
        max_TabNao_aplica
        sprintf('Tabelas de Freqncias por Valor                                   ') 
        max_Tabela_porValor
        sprintf('Tabelas de Freqncias por Intervalo                               ')
        max_Tabela_porIntervalo


% Envia para formatador de saida

        saida_tb (max_TabNao_aplica, max_Tabela_porValor, max_Tabela_porIntervalo);


